<?php

namespace Drupal\entityreference_extensions;

use Drupal\Core\Field\Plugin\Field\FieldType\EntityReferenceItem;

/**
 * Trait EntityReferenceDeltaFilterTrait
 *
 * provides a filter callback that is used by multiple classes that do not
 * and can not inherit from the same parent
 *
 * @package Drupal\entityreference_extensions
 */
trait EntityReferenceDeltaFilterTrait {

  public function delta_filter(EntityReferenceItem $item) {
    $delta = intval($item->getName());
    if($delta > $this->getSetting('delta')) {
      return FALSE;
    }
    return TRUE;
  }

  public function field_cardinality_valid() {
    if ($this->fieldDefinition->getFieldStorageDefinition()->getCardinality() != 1) {
      return TRUE;
    }
    else {
      return FALSE;
    }
  }
}
